--- network.org	2010-09-10 09:47:15.000000000 +0900
+++ network	2010-09-10 12:45:06.000000000 +0900
@@ -189,6 +189,12 @@
   	# If this is a final shutdown/halt, check for network FS,
 	# and unmount them even if the user didn't turn on netfs
 	if [ "$RUNLEVEL" = "6" -o "$RUNLEVEL" = "0" -o "$RUNLEVEL" = "1" ]; then
+		# Don't shut the network down if any iSCSI session is left
+		iscsisess=$(find /sys/class/iscsi_session/ -mindepth 1 -maxdepth 1 -type d |wc -l)
+		if [ $iscsisess -gt 0 ]; then
+			exit 1
+		fi
+
 		NFSMTAB=`LC_ALL=C awk '$3  ~ /^nfs/ { print $2 }' /proc/mounts`
 		SMBMTAB=`LC_ALL=C awk '$3 == "smbfs" { print $2 }' /proc/mounts`
 		NCPMTAB=`LC_ALL=C awk '$3 == "ncpfs" { print $2 }' /proc/mounts`
